# Uses of Class
org.apache.solr.client.solrj.response.SpellCheckResponse.Collation

Packages that use SpellCheckResponse.Collation
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of SpellCheckResponse.Collation in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return SpellCheckResponse.Collation
Modifier and Type
Method
Description
`SpellCheckResponse.Collation`
SpellCheckResponse.Collation.`addMisspellingsAndCorrection(SpellCheckResponse.Correction correction)`
`SpellCheckResponse.Collation`
SpellCheckResponse.Collation.`setCollationQueryString(String collationQueryString)`
Methods in org.apache.solr.client.solrj.response that return types with arguments of type SpellCheckResponse.Collation
Modifier and Type
Method
Description
`List<SpellCheckResponse.Collation>`
SpellCheckResponse.`getCollatedResults()`
Return all collations.